<?php
/**
 * Plugin Name:       ProSiMi plugin
 * Plugin URI:        https://prochazkovci.sk/
 * Description:       Plugin, ktorý na stránku pridá funkcie, ktoré nemá nik iný.
 * Version:           0.1
 * Author:            Prochazkovci
 * Author URI:        https://prochazkovci.sk/
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       prosimi
 * Domain Path:       /languages
 */


add_action( 'admin_menu', 'prosimi_setup_menu' );  
function prosimi_setup_menu(){
	$page_title = 'ProSiMi plugin';   
	$menu_title = 'ProSiMi plugin';   
	$capability = 'manage_options';   
	$menu_slug  = 'prosimi_setup';   
	$function   = 'prosimi_setup_page';   
	//$icon_url   = 'dashicons-embed-generic'; 
    $icon_url   = plugins_url( 'prosimi/img/logo.svg' );  
	$position   = 71;    
	add_menu_page( $page_title, $menu_title, $capability, $menu_slug, $function, $icon_url, $position );
	//add_submenu_page( $menu_slug, 'Submenu page', 'ubmenu page', $capability, 'prosimi_submenu', 'prosimi_submenu_page');
}

     
wp_enqueue_style( 'prosimi_style', plugins_url('css/style.css', __FILE__), array(), null);
wp_enqueue_script( 'prosimi_scripts', plugins_url('js/scripts.js', __FILE__), array('jquery'),'1.1', true);



add_action( 'admin_init', 'register_prosimi_settings' );
function register_prosimi_settings() { 
	register_setting( 'prosimi-settings', 'prosimi_set' );
								}

function prosimi_setup_page(){ 
	 require_once(plugin_dir_path( __FILE__ ).'includes/main.php');
}

require_once(plugin_dir_path( __FILE__ ).'includes/functions.php');
require_once(plugin_dir_path( __FILE__ ).'includes/shortcodes.php');


add_action('admin_head', 'my_custom_style');
function my_custom_style() {
  echo '<style>
    #toplevel_page_prosimi_setup .wp-menu-image img {
    max-width: 16px;
    max-height: 16px;
  </style>';
	
	}

?>